(***************************************************************)
(* Coq code for OCAP                                           *)
(*                                                             *)
(* Tiny Machine                                                *)
(*                                                             *)
(*                                                             *)
(***************************************************************)

(* $Id: prodT.v,v 1.4 2006/07/15 02:56:42 ssg05 Exp $ *)

Inductive prodT (A : Type) (B : Type) : Type :=
    pairT : A -> B -> prodT A B.
Implicit Arguments pairT [A B].

(* TODO add scope *)

(* Notation "x ** y" := *)
(*   (prodT x y) (at level 40): t_type_scope. *)

Notation "( x , y , .. , z )" :=
  (pairT .. (pairT x y) .. z) : t_type_scope.
